{% extends 'base.html' %}



{% block content %}
    <main>
        <div>
            <h1>My Tasks</h1>
            {% if show_my_tasks != 0 %}
                <table>
                    <thead>
                        <tr>
                            <th>Name</th>
                            <th>Start date</th>
                            <th>Due date</th>
                            <th>Is completed</th>
                        </tr>
                    </thead>
                    <tbody>
                    {% for task in task_list %}
                        <tr>
                            <td>{{ task.name }}</td>
                            <td>{{ task.start_date}}</td>
                            <td>{{ task.due_date}}</td>
                            <td>{{ task_list.is_completed|yesno:'yes,no' }}</td>
                        </tr>
                    {% endfor %}
                    </tbody>
                </table>
            {% endif %}
            {% if not show_my_tasks %}
            <p>You have no tasks</p>
            {% endif %}
        </div>
    </main>
{% endblock content %}
